<div class="bank-account-list">
  <mat-card>
    <mat-card-title class="card-container">
      Danh sách Bank Account
      <button *ngIf="role=='admin'" mat-raised-button color="primary" [routerLink]="['/bank-account/create']">
        Thêm mới
      </button>
    </mat-card-title>
    <mat-card-content>
      <form [formGroup]="searchForm">
        <mat-form-field appearance="fill">
          <mat-label>Account Number</mat-label>
          <input matInput placeholder="Account Number" formControlName="account_number"/>
        </mat-form-field>
        <mat-form-field appearance="fill">
          <mat-label>Email</mat-label>
          <input matInput placeholder="Email" formControlName="email"/>
        </mat-form-field>
        <mat-form-field appearance="fill">
          <mat-label>City</mat-label>
          <input matInput placeholder="City" formControlName="city"/>
        </mat-form-field>
        <mat-form-field appearance="fill">
          <mat-label>Gender</mat-label>
          <mat-select formControlName="gender">
            <mat-option value="">-- Gender --</mat-option>
            <mat-option value="M">Male</mat-option>
            <mat-option value="F">Female</mat-option>
          </mat-select>
        </mat-form-field>
        <mat-form-field appearance="fill">
          <mat-label>Others</mat-label>
          <input matInput placeholder="Others" formControlName="other_fields"/>
        </mat-form-field>
        <button type="button" class="mat-raised-button mat-accent" style="margin-left: 20px" (click)="searchBankAccount()">
          Tìm kiếm
        </button>
      </form>
    </mat-card-content>
  </mat-card>

  <div class="spinner-container" *ngIf="dataSource.loading$ | async">
    <mat-spinner></mat-spinner>
  </div>

  <mat-table class="lessons-table mat-elevation-z8" [dataSource]="dataSource">
    <ng-container matColumnDef="account_number">
      <mat-header-cell *matHeaderCellDef>AccNUM</mat-header-cell>
      <mat-cell class="description-cell"
                *matCellDef="let bank_account">{{bank_account.account_number}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="balance">
      <mat-header-cell *matHeaderCellDef>Balance</mat-header-cell>

      <mat-cell class="description-cell"
                *matCellDef="let bank_account">{{bank_account.balance}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="name">
      <mat-header-cell *matHeaderCellDef>Name</mat-header-cell>
      <mat-cell class="description-cell"
                *matCellDef="let bank_account">{{bank_account.firstname + ' ' + bank_account.lastname}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="age">
      <mat-header-cell *matHeaderCellDef>Age</mat-header-cell>
      <mat-cell class="description-cell"
                *matCellDef="let bank_account">{{bank_account.age}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="gender">
      <mat-header-cell *matHeaderCellDef>Gender</mat-header-cell>

      <mat-cell class="description-cell"
                *matCellDef="let bank_account">{{bank_account.gender}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="email">
      <mat-header-cell *matHeaderCellDef>Email</mat-header-cell>

      <mat-cell class="email-cell"
                *matCellDef="let bank_account">{{bank_account.email}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="city">
      <mat-header-cell *matHeaderCellDef>city</mat-header-cell>

      <mat-cell class="description-cell"
                *matCellDef="let bank_account">{{bank_account.city}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="handle_detail">
      <mat-header-cell *matHeaderCellDef>Action</mat-header-cell>

      <mat-cell class="description-cell" *matCellDef="let bank_account">
        <button mat-icon-button color="primary" [routerLink]="['bank-account', bank_account.id]">
          <mat-icon>search</mat-icon>
        </button>
        <button *ngIf="role=='admin'" mat-icon-button color="warn" [routerLink]="['bank-account', bank_account.id, 'edit']">
          <mat-icon>edit</mat-icon>
        </button>
      </mat-cell>
    </ng-container>

    <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
    <mat-row *matRowDef="let row; columns: displayedColumns"></mat-row>
  </mat-table>

  <mat-paginator [length]="dataSource.total|async"
                 [pageSize]="10"
                 [pageSizeOptions]="[10, 25, 50, 100]">

  </mat-paginator>

</div>
